Bug 189361 (rhn-manage-channel) - Manage Channels tool Support
Summary: Manage Channels tool Support
Status: CLOSED CURRENTRELEASE
Alias: rhn-manage-channel
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels   
(Show other bugs)
Version: rhn420
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pradeep Kilambi
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On: 200454 204521 204524 204553 245969
Blocks: rhn-content-mgmt-m1
TreeView+ depends on / blocked
 
Reported: 2006-04-19 14:47 UTC by Pradeep Kilambi
Modified: 2013-01-10 08:54 UTC (History)
3 users (show)

Fixed In Version: rhn500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 15:15:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pradeep Kilambi 2006-04-19 14:47:05 UTC
Description of problem:

1. Modify,redesign manage channel tool.

2. Client side redesign and support. Modify the available create-channel.py to
use xmlrpc rather than direct db.Deprecate any perl scripts available.

3. Server side handlers support.(ex: /App ,/redhat_xmlrpc ) to enable xmlrpc
response.

4. configs and man pages needed.

5. inclusion into satellite -> considered for custom channel creations.

Comment 1 Pradeep Kilambi 2006-06-27 20:14:06 UTC
the tool is completed and in beta state.

Comment 2 Pradeep Kilambi 2006-06-27 20:22:53 UTC
This tool has both satellite and hosted versions

rhn-manage-channel          -> satellite 
rhn-manage-channel-internal -> hosted

- man pages added

- unit tests added to both client and server


Note You need to log in before you can comment on or make changes to this bug.